# Class StarVariablesCsvSchema

java.lang.Object
gaia.cu9.tools.parallax.readers.CsvSchema<StarVariables>
gaia.cu9.tools.parallax.readers.StarVariablesCsvSchema

Direct Known Subclasses:
  `Test2CsvSchema, TestCsvSchema`

public abstract class StarVariablesCsvSchema extends CsvSchema<StarVariables>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`ALPHA`
`protected static final String`
`B`
`protected static final String`
`DELTA`
`protected static final String`
`L`
`protected static final String`
`REAL_R`
`protected static final String`
`REAL_VARPI`
`protected static final String`
`SIGMA_ALPHA`
`protected static final String`
`SIGMA_DELTA`
`protected static final String`
`SIGMA_VARPI`
`protected static final String`
`SOURCE_ID`
`protected static final String`
`VARPI`

### Fields inherited from class CsvSchema

`columnIndexes, distanceMultiplier, nLinesToDiscard, separators, skipLineMarker`

## Constructor Summary

Constructors
Constructor
Description
`StarVariablesCsvSchema()`

## Method Summary

### Methods inherited from class CsvSchema

`getColumnIndex, getDistanceMultiplier, getNLinesToDiscard, getSeparators, getSkipLineMarker, setupColumnIndexes, setupDistanceMultiplier, setupNLinesToDiscard, setupSeparators, setupSkipLineMarker`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SOURCE_ID

protected static final String SOURCE_ID

See Also:
  - Constant Field Values

### ALPHA

protected static final String ALPHA

See Also:
  - Constant Field Values

### DELTA

protected static final String DELTA

See Also:
  - Constant Field Values

### B

protected static final String B

See Also:
  - Constant Field Values

### L

protected static final String L

See Also:
  - Constant Field Values

### VARPI

protected static final String VARPI

See Also:
  - Constant Field Values

### SIGMA_ALPHA

protected static final String SIGMA_ALPHA

See Also:
  - Constant Field Values

### SIGMA_DELTA

protected static final String SIGMA_DELTA

See Also:
  - Constant Field Values

### SIGMA_VARPI

protected static final String SIGMA_VARPI

See Also:
  - Constant Field Values

### REAL_R

protected static final String REAL_R

See Also:
  - Constant Field Values

### REAL_VARPI

protected static final String REAL_VARPI

See Also:
  - Constant Field Values

## Constructor Details

### StarVariablesCsvSchema

public StarVariablesCsvSchema()